GET
/
api
/
v2
/
employers
/
me
/
crew
/
{crew_unique_id}
/
documents
Crew document list + metadata (scope: crew:documents:read)
curl --request GET \
  --url https://partners.crewpass.co.uk/api/v2/employers/me/crew/{crew_unique_id}/documents \
  --header 'Authorization: Bearer <token>'
{
  "crew_unique_id": "<string>",
  "items": [
    {
      "document_id": "<string>",
      "type": "<string>",
      "category": "<string>",
      "title": "<string>",
      "issuer": "<string>",
      "verification_status": "<string>",
      "status": "<string>",
      "issue_date": "<string>",
      "expiry_date": "<string>",
      "document_number": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Partner API key (cpk_live_* / cpk_test_*) as a Bearer token.

Headers

authorization
string | null
X-Partner-API-Key
string | null

Path Parameters

crew_unique_id
string
required

Response

Successful Response

GET /employers/me/crew/{id}/documents — document list + metadata.

crew_unique_id
string
required
items
DocumentItem · object[]
required